<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	

	<div class="entry-header">

		<?php if ( has_post_thumbnail() ) { ?>
			<a class="thumbnail-link" href="<?php the_permalink(); ?>">
				<div class="thumbnail-wrap">
					<?php 
						the_post_thumbnail('post-thumbnail'); 
					?>
				</div><!-- .thumbnail-wrap -->
			</a>
		<?php } ?>	

		<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>

		<div class="byline">
			<span class="entry-author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 120 ); ?></a><?php esc_url( the_author_posts_link() ); ?></span>
			<span class="entry-date"><?php echo get_the_date(); ?></span>
			<span class='entry-comment'><?php comments_popup_link( __('<i class="fa fa-comment-alt"></i> 0','blogrank'), __('<i class="fa fa-comment-alt"></i> 1','blogrank'), __('<i class="fa fa-comment-alt"></i> %','blogrank'), 'comments-link', ''); ?></span>
		</div>
									
	</div><!-- .entry-header -->

	<div class="entry-summary">
		<?php echo esc_html( wp_trim_words(get_the_excerpt(),'30') ); ?>
	</div><!-- .entry-summary -->		
			
</div><!-- #post-<?php the_ID(); ?> -->